<template>
  <div class="echart25_box">
    <div id="echart25"></div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return { myChart:null };
  },
  mounted() {
    this.lineChart();
    this.$bus.$on('resizeEchart', (res) => {
      this.myChart.resize();
    });
  },
  //方法集合
  methods: {
    lineChart() {
      let option = {
        title: {
          text: '用户增量和总量占比',
          top:15,
          textStyle: {
            color: '#fff',
          },
        },
        tooltip: {
          trigger: 'item',
          formatter: '{a} <br/>{b} : {c} ({d}%)',
        },
        graphic: [
          {
            type: 'text',
            left: 'center',
            top: '40%',
            style: {
              fill: '#fff',
              text: '总用户量',
            },
          },
          {
            type: 'text',
            left: 'center',
            top: '50%',
            z: 10,
            style: {
              fill: '#fff',

              text: '400',
              font: '30px Microsoft YaHei',
            },
          },
        ],
        grid: {
          left: '3%',
          right: '4%',
          bottom: '3%',
          // containLabel: true,
        },
        series: [
          {
            name: '用户量',
            type: 'pie',
            radius: ['40%', '60%'],
            labelLine: {
              normal: {
                length: 15, // 指示线宽度
                lineStyle: {
                  color: '#fff', // 指示线颜色
                },
              },
            },
            label: {
              normal: {
                // 各分区的提示内容
                // params: 即下面传入的data数组,通过自定义函数，展示你想要的内容和格式
                formatter: function (params) {
                  return params.name + '\n\n' + params.percent + '%';
                },
                textStyle: {
                  // 提示文字的样式
                  color: '#fff',
                  fontSize: 14,
                },
              },
            },
            data: [
              { value: 280, name: '往年用户量' },
              { value: 120, name: '今年新增用户量' },
            ],
            emphasis: {
              itemStyle: {
                shadowBlur: 10,
                shadowOffsetX: 0,
                shadowColor: 'rgba(0, 0, 0, 0.5)',
              },
            },
          },
        ],
      };
      this.myChart = this.$echarts.init(document.getElementById('echart25'));
      this.myChart.setOption(option);
      window.addEventListener('resize', function () {
        this.myChart.resize();
      });
    },
  },
  created() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.echart25_box {
  padding: 20px;
  width: 100%;
  height: 100%;
}
#echart25 {
  width: calc(100% - 40px);
  height: calc(100% - 40px);
}
</style>
